var path = require('path');
var fs = require('fs');

var optPath = process.env.PWD;
optPath = path.join(optPath, 'materialize.config.js');

var opt;

var materializePath = path.join(process.env.PWD, 'node_modules', 'materialize-css');


try{
	fs.accessSync(materializePath, fs.F_OK);
}
catch(e){
	console.error('materialize-css-loader : Could not find npm installation of materialize-css, loading failed');
}

try {
    fs.accessSync(optPath, fs.F_OK);
    opt = require(optPath);
    if(opt){
        if(opt.jsModules === 'waves'){
            // Only load waves and no jqeury
            require(path.join(materializePath, 'js/waves.js'));
        }
    	if(opt.jsModules){
            require(path.join(materializePath, 'node_modules/jquery'));
            require(path.join(materializePath, 'js/initial.js'));
            require(path.join(materializePath, 'js/jquery.easing.1.3.js'));
            require(path.join(materializePath, 'js/animation.js'));
            require(path.join(materializePath, 'js/global.js'));
            require(path.join(materializePath, 'js/hammer.min.js'));
            require(path.join(materializePath, 'js/velocity.min.js'));
            require(path.join(materializePath, 'js/jquery.hammer.js'));
            require(path.join(materializePath, 'js/jquery.timeago.min.js'));
            require(path.join(materializePath, 'js/waves.js'));
            for(prop in opt.jsModules){
                require(path.join(materializePath, 'js', prop + '.js'));
            }
    	}
    	if(opt.scssModules){
            
    	}
    }
    else{
    	console.warn('materialize-css-loader : Config file not proper, loading all modules');
    }

} catch (e) {
	console.warn('materialize-css-loader : Config file not found in process.env.PWD, loading all modules');
	// Load all the modules
}


module.exports = function (){
	console.log('No need to execute this module, only requiring is enough');
}
